/*==========================================================
Script by jin-ren
　ページからスライドショーを作成
　ページ上のリンク全てを利用してスライドショーを作成します。
　上部に「次へ」「前へ」のボタンがでてきますのでボタンを
　押してみてください。
                                                2002/09/08
==========================================================*/
var obj, document, ndoc, nid, str,i,j,x,atag,dummyurl;

obj = new ActiveXObject("Sleipnir.API");
document = obj.GetDocumentObject(obj.GetDocumentID(obj.ActiveIndex));

if (document == null)
{
  obj.MessageBox("Document を作成できません");
}
else
{
  str = '<html><head>\n';
  str+= '<title>'+document.title+'</title>\n';
  str+= '<script language="javascript">\n';
  str+= 'var curIdx = 0;\n';
  str+= 'var urls = new Array;\n';
  atag=document.links;
  j=0
  for(i in atag){
    x = atag[i].href;
    if(x==null){continue;}
    str+= 'urls['+j+']="'+x+'";\n';
    if(j==0){dummyurl=x};
    j++;
  }
  str+= 'function jumpindex(idx){\n';
  str+= '  curIdx+=idx;\n';
  str+= '  if(curIdx==-1){curIdx=urls.length-1;}\n';
  str+= '  if(curIdx==urls.length){curIdx=0;}\n';
  str+= '  document.preview.location.href=urls[curIdx];\n';
  str+= '  document.all.item("urladdr").value=urls[curIdx];\n';
  str+= '}\n';
  str+= '</script>\n';
  str+= '</head>\n';
  str+= '<body style="margin:0:">\n';
  str+= '<div id="html" style="position:absolute;height:25;width:100%;left:0;top:0;">\n';
  str+= '  <input type="button" value="前へ" onClick="jumpindex(-1);">\n';
  str+= '  <input type="button" value="次へ" onClick="jumpindex(1);">\n';
  str+= '  <input type="text" name="urladdr" size="100" value="'+dummyurl+'">\n';
  str+= '</div>\n';
  str+= '<iframe src="'+dummyurl+'"  name="preview" style="position:absolute;height:expression(body.clientHeight-25);width:100%;top:25;"></iframe>\n';
  str+= '</body></html>\n';

  nid = obj.NewWindow("about:blank",true);
  ndoc = obj.GetDocumentObject(nid);
//  obj.SetSecurity(nid,true,true,true,true,true,true,true);
  ndoc.write(str);
  ndoc.location.reload();
  ndoc = null;
  document = null;
}
obj.Beep();
obj = null;
